# TODO:
# - package rest of scripts/
#
Summary:	The missing terminal file browser for X
Name:		nnn
Version:	5.0
Release:	1
License:	BSD
Group:		Applications/Console
Source0:	https://github.com/jarun/nnn/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	7179441463af5e323161fc8a9aa436ab
Patch0:		%{name}-no-rebuild-on-install.patch
URL:		https://github.com/jarun/nnn
BuildRequires:	ncurses-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpm-build >= 4.6
Suggests:	archivemount
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nnn is probably the fastest and most resource-sensitive (with all its
capabilities) file browser you have ever used. It's extremely flexible
too - integrates with your DE and favourite GUI utilities, works with
the desktop opener, supports bookmarks, has smart navigation
shortcuts, navigate-as-you-type mode, disk usage analyzer mode,
comprehensive file details and much more. nnn was initially forked
from noice but is significantly different today.

Cool things you can do with nnn:

 - open any file in the default desktop application or a custom one
 - navigate-as-you-type (search-as-you-type enabled even on directory
   switch)
 - check disk usage with number of files in current directory tree
 - run desktop search utility (gnome-search-tool or catfish) in any
   directory
 - copy absolute file paths to clipboard, spawn a terminal and use the
   paths
 - navigate instantly using shortcuts like ~, -, & or handy bookmarks
 - use cd ..... at chdir prompt to go to a parent directory
 - detailed file stats, media info, list and extract archives
 - pin a directory you may need to revisit and jump to it anytime
 - lock the current terminal after a specified idle time
 - change directory on exit

%package -n bash-completion-nnn
Summary:	bash-completion for nnn
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla nnn
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-nnn
This package provides bash-completion for nnn.

%description -n bash-completion-nnn -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla nnn.

%package -n fish-completion-nnn
Summary:	Fish completion for nnn command
Summary(pl.UTF-8):	Dopełnianie parametrów w fish dla polecenia nnn
Group:		Applications/Shells
Requires:	fish
Requires:	nnn = %{version}-%{release}
BuildArch:	noarch

%description -n fish-completion-nnn
Fish completion for nnn command.

%description -n fish-completion-nnn -l pl.UTF-8
Dopełnianie parametrów w fish dla polecenia nnn.

%package -n zsh-completion-nnn
Summary:	Zsh completion for nnn command
Summary(pl.UTF-8):	Dopełnianie parametrów w zsh dla polecenia nnn
Group:		Applications/Shells
Requires:	nnn = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-nnn
Zsh completion for nnn command.

%description -n zsh-completion-nnn -l pl.UTF-8
Dopełnianie parametrów w zsh dla polecenia nnn.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{rpmcflags}"
export CPPFLAGS="%{rpmcppflags}"
export LDFLAGS="%{rpmldflags}"
%{__make} \
	CC="%{__cc}" \
	CFLAGS_OPTIMIZATION= \
	O_CTX8=1 \
	O_PCRE=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

install -Dpm0644 -t $RPM_BUILD_ROOT%{bash_compdir} \
	misc/auto-completion/bash/nnn-completion.bash
install -Dpm0644 -t $RPM_BUILD_ROOT%{fish_compdir} \
	misc/auto-completion/fish/nnn.fish
install -Dpm0644 -t $RPM_BUILD_ROOT%{zsh_compdir} \
	misc/auto-completion/zsh/_nnn

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG LICENSE README.md
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files -n bash-completion-nnn
%defattr(644,root,root,755)
%{bash_compdir}/nnn-completion.bash

%files -n fish-completion-%{name}
%defattr(644,root,root,755)
%{fish_compdir}/nnn.fish

%files -n zsh-completion-%{name}
%defattr(644,root,root,755)
%{zsh_compdir}/_nnn
%changelog
* Thu Aug 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nnn.git;a=log;h=master

* Mon Aug 26 2024 Jan Palus <atler@pld-linux.org> ab7d14e
- up to 5.0

* Sun Aug 27 2023 Jan Palus <atler@pld-linux.org> 6ac289f
- up to 4.9

* Thu Apr 13 2023 Jan Palus <atler@pld-linux.org> 8c5bf8b
- up to 4.8

* Thu Nov 24 2022 Jan Palus <atler@pld-linux.org> d0a976f
- up to 4.7

* Tue Jul 26 2022 Jan Palus <atler@pld-linux.org> 929eb05
- correct bash-completion epoch

* Tue Jul 26 2022 Jan Palus <atler@pld-linux.org> 1605366
- up to 4.6

* Tue Apr 26 2022 Jan Palus <atler@pld-linux.org> eb11be6
- rpm version for noarch subpackage

* Tue Apr 26 2022 Jan Palus <atler@pld-linux.org> 9c7ba01
- up to 4.5

* Tue Nov 23 2021 Jan Palus <atler@pld-linux.org> e3f611c
- up to 4.4

* Wed Sep 29 2021 Jan Palus <atler@pld-linux.org> 08ee701
- up to 4.3

* Wed Jul 21 2021 Jan Palus <atler@pld-linux.org> 12d625f
- up to 4.2

* Fri Jun 04 2021 Jan Palus <atler@pld-linux.org> ae9d9c4
- up to 4.1.1

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> c5491f3
- up to 4.0

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> 9b45bc8
- up to 3.7

* Tue Mar 16 2021 Jan Palus <atler@pld-linux.org> c1461ec
- fish and zsh completions are noarch too; rel 2

* Mon Mar 15 2021 Jan Palus <atler@pld-linux.org> 5b10cff
- up to 3.6

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 321fea6
- unconditional noarch subpackages

* Tue Nov 17 2020 Jan Palus <atler@pld-linux.org> 9e99c76
- up to 3.5

* Sat Aug 08 2020 Jan Palus <atler@pld-linux.org> 9a2886c
- S: archivemount; rel 2

* Thu Aug 06 2020 Jan Palus <atler@pld-linux.org> a28b3c6
- up to 3.3

